## esys-particle 2.3.5+dfsg2

=== CMakeLists.txt ===
PROJECT(Esys C CXX)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8)


FIND_PACKAGE(Boost COMPONENTS system filesystem python thread REQUIRED)
INCLUDE(FindPythonLibs)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/Foundation)
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/Parallel)
INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_DIRS})
SET(CMAKE_C_COMPILER mpicc)
SET(CMAKE_CXX_COMPILER mpicxx)

ADD_DEFINITIONS(-DPACKAGE_NAME="esys")
ADD_DEFINITIONS(-DPACKAGE_VERSION="2.1")

#===========================================================
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Foundation")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Fields")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Geometry")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Model")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/pis")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Tools")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/ntable")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/tml")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/ppa/src")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Python")


ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/Parallel")
#===========================================================
