=== tml/CMakeLists.txt ===
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/tml/comm")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/tml/message")
ADD_SUBDIRECTORY("${CMAKE_SOURCE_DIR}/tml/type")
