=== Python/MpiPython/CMakeLists.txt ===
FILE(GLOB MODEL_SRC_LIB "*.cpp")
#===========================================================

#ADD_EXECUTABLE(esysparticle ${MODEL_SRC_LIB})
#TARGET_LINK_LIBRARIES(esysparticle Parallel libLsmPy ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
#INSTALL(TARGETS esysparticle DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
