=== debian/changelog ===
esys-particle (2.3.5+dfsg2-7) unstable; urgency=medium

  * [3302028] Disable autopkgtests on 32 bit archs. (Closes: #1080196, #901849)
  * [f51a362] d/control: set Standards-Version to 4.7.0

 -- Anton Gladky <gladk@debian.org>  Sat, 26 Oct 2024 20:08:29 +0200

esys-particle (2.3.5+dfsg2-6) unstable; urgency=medium

  [ Jonathan Bergh ]
  * [72b9494] Replace htmladdnormallink with href. (Closes: #1013616)

  [ Anton Gladky ]
  * [7886d42] Set Standards-Version to 4.6.1

 -- Anton Gladky <gladk@debian.org>  Fri, 23 Sep 2022 15:12:16 +0200

esys-particle (2.3.5+dfsg2-5) unstable; urgency=medium

  * [24c7cfe] Switch to libltdl-dev. (Closes: #1009040)
  * [a4fb4a7] Remove _form0.ps. (Closes: #856677)
  * [d487a3d] Minor updates in d/rules
  * [355dd7e] Update watch file format version to 4.

 -- Anton Gladky <gladk@debian.org>  Tue, 26 Apr 2022 06:06:40 +0200

esys-particle (2.3.5+dfsg2-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Patch: Don't call Py_Initialize() before Py_Main(), fixing sys.path on
    Python 3.10. (Closes: #1009240)

 -- Stefano Rivera <stefanor@debian.org>  Wed, 13 Apr 2022 21:24:02 -0400

esys-particle (2.3.5+dfsg2-4) unstable; urgency=medium

  * Team upload
  * [524cf83] Add patch to correctly detect Python3.10 and 3.11

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Jan 2022 16:16:32 +0100

esys-particle (2.3.5+dfsg2-3) unstable; urgency=medium

  * [2db959e] Force using C++14. (Closes: #984051)

 -- Anton Gladky <gladk@debian.org>  Thu, 21 Oct 2021 22:06:21 +0200

esys-particle (2.3.5+dfsg2-2) unstable; urgency=medium

  * [8a49eb9] Add noddebs env variable
  * [ba21f6a] Build against vtk9
  * [ed64d4e] Bump debhelper from old 12 to 13.
  * [5373e43] Update renamed lintian tag names in lintian overrides.
  * [7003b18] Update standards version to 4.5.1, no changes needed.
  * [d782187] Set Standards-Version 4.6.0
  * [e10828c] Drop Multi-Arch: foreig
  * [444493c] Remove unused doc-base file

 -- Anton Gladky <gladk@debian.org>  Thu, 30 Sep 2021 22:43:35 +0200

esys-particle (2.3.5+dfsg2-1) unstable; urgency=medium

  [ Adrian Bunk ]
  * [a2a3461] Fix the manpage section number. (Closes: #962253)

  [ Anton Gladky ]
  * [79195f3] Set upstream metadata fields: Repository, Repository-Browse.
  * [bd11b4b] Drop unnecessary dependency on dh-autoreconf.
  * [9be1eac] Drop unnecessary dh arguments: --parallel
  * [994720f] Update standards version to 4.5.0, no changes needed.
  * [758e80e] Minor patch update
  * [2bf0c70] Add .gitlab-ci.yml
  * [08bdd6a] New upstream version 2.3.5+dfsg2

 -- Anton Gladky <gladk@debian.org>  Wed, 10 Jun 2020 22:57:41 +0200
