=== debian/tests/control ===
Tests: build1
Depends: esys-particle
Restrictions: allow-stderr
Architecture: !hurd-i386 !mips !mipsel !s390 !s390x !ia64 !armhf !i386
